# Copyright (C) 2009 Nick Bowler
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

lbxdir = $(includedir)/lbx
lbx_HEADERS = src/lbx.h src/image.h

noinst_HEADERS += src/misc.h src/tools.h src/pack.h

lib_LTLIBRARIES  += liblbx.la
liblbx_la_SOURCES = src/lbx.c src/fops.c src/image.c src/pack.c

bin_PROGRAMS    += lbxtool
lbxtool_SOURCES  = src/lbxtool.c
lbxtool_LDADD    = liblbx.la -lgnu

if BUILD_LBXIMG
bin_PROGRAMS   += lbximg
lbximg_SOURCES  = src/lbximg.c
lbximg_LDADD    = liblbx.la $(LIBPNG_LIBS) -lgnu
lbximg_CFLAGS   = $(LIBPNG_CFLAGS)
endif
